<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class RestUserDisapproval extends Mailable
{
    use Queueable, SerializesModels;
    public $detail;


    /**
     * Create a new message instance.
     */
    public function __construct($detail)
    {
             $this->detail = $detail;

    }

    /**
     * Get the message envelope.
     */
    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Rest User Disapproval',
        );
    }

    /**
     * Get the message content definition.
     */
    public function build()
    {
        $detail = $this->detail;
        // dd($data);
        return $this->subject('Rest User Approval')
                    ->view('Admin.pages.mail.rest_user_disapproval', ["content" => $detail]);
    }

    /**
     * Get the attachments for the message.
     *
     * @return array<int, \Illuminate\Mail\Mailables\Attachment>
     */
    public function attachments(): array
    {
        return [];
    }
}
